#include <stdio.h>
#include <stdlib.h>

int main()
{
    FILE* outFile = fopen("hello.txt", "w");
    if (outFile == NULL) {
	fprintf(stderr, "ERROR: Unable to open 'hello.txt'\n");
	exit(8);
    }
    if (fprintf(outFile, "Hello World!\n") <= 0) {
	fprintf(stderr, "ERROR: Unable to write to 'hello.txt'\n");
	exit(8);
    }
    if (fclose(outFile) != 0) {
	fprintf(outFile, "ERROR: Unable to close 'hello.txt'\n");
	exit(8);
    }
    return (0);
}
